# ETextModel

## Name

ETextModel --

## Synopsis

                ETextModel;
    ETextModel* e_text_model_new                (void);
    void        e_text_model_changed            (ETextModel *model);
    gchar*      e_text_model_get_text           (ETextModel *model);
    void        e_text_model_set_text           (ETextModel *model,
                                                 gchar *text);
    void        e_text_model_insert             (ETextModel *model,
                                                 gint position,
                                                 gchar *text);
    void        e_text_model_insert_length      (ETextModel *model,
                                                 gint position,
                                                 gchar *text,
                                                 gint length);
    void        e_text_model_delete             (ETextModel *model,
                                                 gint position,
                                                 gint length);

## Object Hierarchy

      GtkObject
       +----ETextModel
             +----ETableTextModel

## Signal Prototypes

    "changed"   void        user_function      (ETextModel *etextmodel,
                                                gpointer user_data);

## Description

## Details

### ETextModel

    typedef struct _ETextModel ETextModel;

### e_text_model_new ()

    ETextModel* e_text_model_new                (void);

Returns : |

### e_text_model_changed ()

    void        e_text_model_changed            (ETextModel *model);

`model` : |

### e_text_model_get_text ()

    gchar*      e_text_model_get_text           (ETextModel *model);

`model` : |
Returns : |

### e_text_model_set_text ()

    void        e_text_model_set_text           (ETextModel *model,
                                                 gchar *text);

`model` : |
`text` : |

### e_text_model_insert ()

    void        e_text_model_insert             (ETextModel *model,
                                                 gint position,
                                                 gchar *text);

`model` : |
`position` : |
`text` : |

### e_text_model_insert_length ()

    void        e_text_model_insert_length      (ETextModel *model,
                                                 gint position,
                                                 gchar *text,
                                                 gint length);

`model` : |
`position` : |
`text` : |
`length` : |

### e_text_model_delete ()

    void        e_text_model_delete             (ETextModel *model,
                                                 gint position,
                                                 gint length);

`model` : |
`position` : |
`length` : |

## Signals

### The "changed" signal

    void        user_function                  (ETextModel *etextmodel,
                                                gpointer user_data);

`etextmodel` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.